<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-World template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
//l2k Logical operations and settings for the graph data:
include_once ("l2kdispsettings.php");
############################################################################
if ($standalone){
echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en-US">
  <head>
  <meta http-equiv="content-type" content="application/xhtml+xml; charset=ISO-8859-1" />
  <title>'.$pagetitle.'</title>
  <link rel="stylesheet" type="text/css" href="'.$csslocation.'" media="screen" title="screen" />';
}else{
require_once("Settings.php");
require_once("common.php");
############################################################################
$TITLE= $SITE['organ'] . ' - '.$pagetitle.'';
$showGizmo = true;  // set to false to exclude the gizmo
include("top.php");
}
############################################################################
if ($rawlightning or $threatassesment or $stormprint){
echo '<script type="text/javascript" src="./wxl2kjs.php?js=showhide"></script>';
}
if ($ajaxupdates){
echo'
<script type="text/javascript" src="'.$ajaxloc.'"></script>';
}
if ($plotgraph){ //If plotting the Graph has been enabled we have to do some initalisation in Javascript:
echo '
<script type="text/javascript" src="'.$googleapiurl.'"></script>
<script type="text/javascript" src="'.$highchartsjsloc.'"></script>
<!--[if IE]><script type="text/javascript" src="'.$excanvasloc.'"></script><![endif]-->
<script type="text/javascript" src="./wxl2kjs.php?js=graph"></script>';
}
if ($mapupdates) { //If automatic map refreshes are enabled in the settings get javascript to get that going:
echo'<script type="text/javascript" src="./wxl2kjs.php?js=mapupdates"></script>';
}
?>
</head>
<body>
<?php
if (!$standalone){
############################################################################
include("header.php");
############################################################################
include("menubar.php");
############################################################################
}
?>
<div id="main-copy">
<div class="column-dark">
	<div align="center">
	<img src="<?php echo $ajaximagesloc;?>spacer.gif" alt="spacer"
	height="2" width="640" style="padding:0; margin:0; border: none" />
	<div class="ajaxDashboard">
      <table width="640" border="0" cellpadding="2" cellspacing="1" style="border:solid; border-color: #CCCCCC;">
      <tr align="center">
      <td class="data1" colspan="3" style="text-align:center;">Updated:&nbsp;<span class="ajax2" id="ajax2date"><?php echo $lightningdata[98]; ?> </span>&nbsp;<span class="ajax2" id="ajaxindicator3">@</span> &nbsp;<span class="ajax2" id="ajax2time"><?php echo $lightningdata[96]; ?></span>&nbsp;&nbsp;
        <script type="text/javascript">
<!--
document.write('<b> - updated <span id="ajax2counter"></span>&nbsp;sec ago</b>');
//-->
  </script>
  </td></tr>
       <?php
	   if(file_exists($detectorstatus)) {
	   $detectorcontents = file_get_contents ($detectorstatus);
	   		if (preg_match("/nearby/",$detectorcontents)) {
	   			echo '
	   			<tr align="center">
          		<td class="datahead" colspan="3" style="text-align: center">
		 		Detector Status:</td>
       			</tr>
	   			<tr align="center">
	   			<td colspan="3" style="text-align: center">
	   			<div style="font-size:10px; color:white; background-color:#B00F11;">'.$detectorcontents.'</div></td>
	  			</tr>';
	   		}
	   		else {
	   		if (preg_match("/thunderstorm/",$detectorcontents)) {
	   			echo '
	   				<tr align="center">
          				<td class="datahead" colspan="3" style="text-align: center">Detector Status:</td>
       				</tr>
       				<tr align="center">
	   					<td class="data1" colspan="3" style="text-align: center">
	   					<div style="font-size:10px; color:#DE7F16;">'.$detectorcontents.'</div>
	   					</td>
	  				</tr>';
	   		}
	   		else {
	   		echo '
	   				<tr align="center">
          				<td class="datahead" colspan="3" style="text-align: center">Detector Status:</td>
       				</tr>
       				<tr align="center">
	   					<td class="data1" colspan="3" style="text-align: center">
	   					<div style="font-size:10px;">'.$detectorcontents.'</div>
	   					</td>
	  				</tr>';
	   		}
	   		}
	   }
	   else {
	   echo'<tr align="center">
	   		<td class="data1" colspan="3" style="text-align: center"><br/><span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF; background-color: #BA040D;">&nbsp;&nbsp;&nbsp;<b>Hmmm the location you gave for the detector status file seems incorrect!</b>&nbsp;&nbsp;&nbsp;</span><br/><br/><span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF; background-color: #BA040D;">&nbsp;&nbsp;&nbsp;<b>Double check the location in the settings file.</b>&nbsp;&nbsp;&nbsp;</span><br/><br/></td>
	  </tr>';
	   }
	   if ($regionwarn){//If the Region Warning has been set to true do below:
       		if (file_exists($regionwarnloc)){
       			$locwarndata = file_get_contents($regionwarnloc);
       			//clean the data
       			$getridofthis = array("\n","\r","\0","\t"," ","\x0B");
       			$locwarndata2 = str_replace($getridofthis,'',$locwarndata);
       			//split the data into an array.
       			$locwarndatarray = explode('|',$locwarndata2);
       			$numinregionarray = count($regionscovered);
       			
       			$alreadyprintedrow = true;
       		
       			for ($i=0; $i<=$numinregionarray; $i++){//loop through the boolean data array 
       				if ($locwarndatarray[$i] == "TRUE"){//if the warning is true:
       					if ($alreadyprintedrow){
       						echo '<tr align="center">
          		  	  		<td class="data1" style="text-align: center; background-color: maroon; font-size:10px;"  colspan="3">
          		  	  		Lightning has been detected in and or around:<br/>';
          		  	  		$alreadyprintedrow = false;
          		  	  	}
       					echo $regionscovered[$i].'<br/>';
          		  	}
					if ($i == $numinregionarray-1){
       					echo '</td></tr>';
       				}
       			}
			}       		
       	}
	   ?>
      <tr align="center">
          <td class="datahead" colspan="3" style="text-align: center">
		  Strike Colour Key:</td>
       </tr>
       <tr align="center">
       <td class="data1" style="text-align: center">
	   		<table width="100%" border="0" cellpadding="4" cellspacing="0">
	   		<tr align="center">
       		<td class="data2" style="text-align: center">
	   		<span style="border: solid 1px; color:<?php echo $textcolourone,'; border-color: '.$bordercolourone.'; background-color: '.$colourone.';">&nbsp;&nbsp;&lt;'.$timeone.'&nbsp;&nbsp;</span></td>
       		<td class="data2" style="text-align: center">
	   		<span style="border: solid 1px; color: '.$textcolourtwo.'; border-color: '.$bordercolourtwo.'; background-color: '.$colourtwo.';">&nbsp;&nbsp;&lt;'.$timetwo.'&nbsp;&nbsp;</span></td>
  	   		</tr>
	   		</table>	
	   	</td>
	   	<td class="data1" style="text-align: center">
	   		<table width="100%" border="0" cellpadding="4" cellspacing="0">
	   		<tr align="center">
       		<td class="data2" style="text-align: center">
	   		<span style="border: solid 1px; color: '.$textcolourthree.'; border-color: '.$bordercolourthree.'; background-color:'.$colourthree.';">&nbsp;&nbsp;&lt;'.$timethree.'&nbsp;&nbsp;</span></td>
       		<td class="data2" style="text-align: center">
	   		<span style="border: solid 1px; color: '.$textcolourfour.'; border-color: '.$bordercolourfour.'; background-color: '.$colourfour.';">&nbsp;&nbsp;&lt;'.$timefour.'&nbsp;</span></td>
  	   		</tr>
	   		</table>	
	   	</td>
	   	<td class="data1" style="text-align: center">
	   		<table width="100%" border="0" cellpadding="4" cellspacing="0">
	   		<tr align="center">
       		<td class="data2" style="text-align: center">
	   		<span style="border: solid 1px; color: '.$textcolourfive.'; border-color: '.$bordercolourfive.'; background-color:'.$colourfive.';">&nbsp;&nbsp;&lt;'.$timefive.'&nbsp;&nbsp;</span></td>
       		<td class="data2" style="text-align: center">
	   		<span style="border: solid 1px; color: '.$textcoloursix.'; border-color: '.$bordercolourseven.'; background-color: '.$coloursix.';">&nbsp;&nbsp;&lt;'.$timesix.'';?>&nbsp;&nbsp;</span></td>
  	   		</tr>
	   		</table>	
	   	</td>
	   	</tr>
       <tr align="center">
          <td class="datahead" colspan="3" style="text-align: center">
		  Lightning Map</td>
       </tr>
       <?php 
       if (file_exists($lightningmaploc)) { //If the lightning map exists do below
       		if($calcmapage > 1800) { //If the Map is older than 1800 Secs print out an message below:
        		echo'<tr align="center">
          				<td class="data1" colspan="4" style="text-align: center">
		  				<div style="position:relative; border:none; background-image:url('.$lightningmaploc.');
		  				width:640px; height:480px;" >
		  					<div style="position:center; border:none; background-image:url('.$l2kimageloc.'offlineoverlay.png); height: 480px;">
		  						<div style="position:relative; top:230px; font-weight: bold; font-size: 22pt;">
		  						Lightning Map Offline!
		  						</div>
		  					</div>
		  				</div>
		  				</td>
       				</tr>';
       			}
       			else {// If the map isnt older than that time print the map out below:
       				echo'<tr align="center">
          				<td class="data1" colspan="4" style="text-align: center">
          				<div id="lightmap">
		  				<img src="'.$lightningmaploc.'" alt="lightning Map" id="myPull"/>';
		  				if ($rawlightning){
		  					echo '<img src="'.$lightningmaprawloc.'" alt="lightning Map" id="myPull2" style="display: none;"/>';
		  				}
		  				echo '</div>';
		  				echo '<img src="'.$threatassesmaploc.'" alt="Lightning Threat Assessment" id="myPull3" style="display: none;"/>';
		  				echo '</td></tr>';
       				if ($rawlightning){
       				echo '<tr align="center"><td class="data2" colspan="4" style="text-align: center"><a href="#" onclick="showDiv(\'myPull\'); showDiv(\'myPull2\');return false;">Switch LIVE or RAW View</a>';
       				}else{
       					if ($threatassesment){
       					echo '<tr align="center"><td class="data2" colspan="4" style="text-align: center">';
       					}
       				}
       				if ($threatassesment){
       				echo '&nbsp;<a href="#" onclick="showDiv(\'lightmap\'); showDiv(\'myPull3\'); return false;">Show/Hide Threat Assesment</a></td></tr>';
       				}else{
       					if ($rawlightning){
       					echo '</td></tr>';
       					}
       				}
       				
       				
       			if($calcdatage > 1800) { // If the Data is older than 1800 Seconds print a message:
	   				echo '<tr align="center">
          	  		  	  	<td class="data1" colspan="4" style="text-align: center">
		  	  	      	  	<span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF;
		  	  	      	  	background-color: #BA040D;">
		      	      	  	&nbsp;&nbsp;&nbsp;
		      	      	  	Please be advised that the Lightning Tracker seems to be offline!
		      	      	  	&nbsp;&nbsp;&nbsp;</span>
		      	      	  	</td>
                          </tr>';
       			}
       		}
       }
       else {//If the Map cant be found print a message below:
       echo '<tr align="center">
          <td class="data1" colspan="4" style="text-align: center"><br/>
		  <span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF; background-color: #BA040D;">&nbsp;&nbsp;&nbsp;<b>Woops I think we have a problem here!</b>&nbsp;&nbsp;&nbsp;</span><br/><br/><span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF; background-color: #BA040D;">&nbsp;&nbsp;&nbsp;<b>The location to the Lightning Map you specified in the settings file is incorrect.</b>&nbsp;&nbsp;&nbsp;</span><br/><br/><span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF; background-color: #BA040D;">&nbsp;&nbsp;&nbsp;<b>Verify the Lightning Map Location and refresh the page again.</b>&nbsp;&nbsp;&nbsp;</span><br/><br/></td>
       </tr>';
       }
       if ($showanalysis){// If the show analysis key is enabled start printing it out below:
       echo '
       <tr align="center">
          <td class="datahead" colspan="3" style="text-align: center">
		  Storm Analytical Key:</td>
       </tr>
	   <tr align="center">
       <td class="data1" colspan="3">
       		<div style=" background-image:url('.$l2kimageloc.'stormcolour.png); width:640px; height:10px;"></div>
	   	</td>
	   	</tr>
	   	<tr align="center">
       	<td class="data1" style="text-align: center">
	   	<div style="font-size:10px"><a href="lightinfo.php">Thundershowers</a></div></td>
       	<td class="data1" style="text-align: center">
	   	<div style="font-size:10px"><a href="lightinfo.php">Thunderstorms</a></div></td>
       	<td class="data1" style="text-align: center">
	   	<div style="font-size:10px"><a href="lightinfo.php">Stronger Thunderstorms</a></div></td>
	   	</tr>
	   	';
       	}
       	
       	if ($stormprint) {//If storm printing is enabled do the below.
       		if (file_exists($nowcastlocation)) {//Check if the nowcast file exists.....
       			echo '<tr align="center">
          		  	  	<td class="datahead" colspan="3" style="text-align: center">Storm Cells:</td>
       	  		      </tr>';
       			$getnowcast = file_get_contents($nowcastlocation);//Grab the Nowcast contents.
       			if (preg_match('/No storms detected/',$getnowcast)) {//If  "No storms detected" is found print the data below.
					echo '<tr align="center">
			      	      	<td class="data2" colspan ="3" style="text-align: center">
       			  	      	<div style="font-size:10px; color:#33CC00;">No Storms Detected</div>
       			  	      	</td>
       			          </tr>';
				}
				else {
				//Start Breaking apart to get the storm list:
				if (preg_match('/storm detected/',$getnowcast)) {//Check if there at least 1 storm
					$nowcastdata = explode('storm detected',$getnowcast);//If there is only 1 explode that
				}
				else {//There must be more than 1 storm:
					$nowcastdata = explode('storms detected',$getnowcast);//Explode storms detected:
				}
				if (preg_match('/[0-9] strokes per minute/',$nowcastdata[1])) { 
					//Check is there is "strokes per min" in the string.
					//Check numbers before stroke per min and then store the match in the variable $matches
					preg_match('/[0-9]{0,} strokes per minute/',$nowcastdata[1], $matches);
				}
				else {//Otherwise start checking for the number then stroke per min, not strokes per min.
					preg_match('/[0-9]{0,} stroke per minute/',$nowcastdata[1], $matches);
				}
				$stormlist = explode($matches[0],$nowcastdata[1]);
				//Break the string apart by using the the match found in preg_match
				$indivstorm = explode("\n",$stormlist[0]);//Break the string apart line by line.
				$i = 1;//initalise the vairable i before it enters the loop.
				$replacedistance = array ('','&deg;','Energy:','Severity:','CG%:',
				'<font color="#33CC00">Distant</font>',
				'<font color="#FFE025">Regional</font>',
				'<font color="#C40E13">Nearby</font>',
				'<span style="border: solid 1px; color: black; border-color: #FFFFFF; 
				background-color: #0DC48D;">&nbsp;T-Shower&nbsp;</span>',
				'<span style="border: solid 1px; color: black; border-color: #FFFFFF; 
				background-color: #FF9412;">&nbsp;T-Storm&nbsp;</span>',
				'<span style="border: solid 1px; color: white; border-color: #FFFFFF; 
				background-color: #B9141F;">&nbsp;Strong T-Storm&nbsp;</span>',
				'<span style="border: solid 1px; color: white; border-color: #FFFFFF; 
				background-color: #531375;">&nbsp;Severe T-Storm&nbsp;</span>','NNE','ENE','ESE','SSE','SSW','WSW','WNW','NNW','NE','SE','SW','NW','N','E','S','W','Loc:');
				//Array that will be used to replace the stuff we want formatted.
				$searchdistance = array
				('.','degree','energy =','severity =','CG% =','distant','regional','nearby',
				'thundershower','thunderstorm','strong t-storm','severe t-storm','North-Northeast','East-Northeast','East-Southeast','South-Southeast','South-Southwest','West-Southwest','West-Northwest','North-Northwest','Northeast','Southeast','Southwest','Northwest','North','East','South','West','to the');
				//Array that will be used to find the stuff we want formatted.
				echo '<tr align="center">
			      	  	  	  	  	<td class="data2" colspan ="3" style="text-align: left">
       			  	              	<div style="font-size:10px">';
       			$alreadyprinted = false;
				while ($indivstorm[$i]) {//Start the loop to print out the storm list.
					$formatstorm[$i] = str_replace($searchdistance, $replacedistance, $indivstorm[$i]);
					//Replace the unformated data with the formatted data
					if (strlen($formatstorm[$i]) > 1){//If the string length is more than 1 do below
					//This stops the problem of printing out a empty row.
						if ($ld250) {//If the LD250 is in use: 
							$ld250storm[$i] = preg_replace('/, CG%: [0-9]{0,}%/','',$formatstorm[$i]);
							//Remove the CG data from the storm list as LD250 cant diffrenciate between strokes.
							if ($i > 3){
								if (!$alreadyprinted){
								echo '<div id="extendedstorm" style="display: none">';
								$alreadyprinted = true;
								}
							}else{
								echo '<div>';
							}
							echo $ld250storm[$i];//Print the storm list without the CG data.
							//Start printing the tables for formatting the data.
							if ($i == 3 and $indivstorm[$i+2]) {
								echo '<div id="arrowlink" align="center"><a href="#" onclick="showDiv(\'extendedstorm\'); showDiv(\'arrowlink\'); return false;"><img src =\''.$l2kimageloc.'arrow.gif\' alt="expansion arrow" border="none" style="display: Block"/></a></div>';						}else{
								echo '<br/>';
							}
							if ($i <= 3){
								echo '</div>';
							} 
				    		$i++;//Incrument the counter so other storms can be printed
						}else{//If the LD250 is not in use keep the CG data in the storm list
							if ($i > 3){
								if (!$alreadyprinted){
								echo '<div id="extendedstorm" style="display: none">';
								$alreadyprinted = true;
								}
							}else{
								echo '<div>';
							}
							echo $formatstorm[$i];//Print the storm list with the CG data.
							if ($i == 3 and $indivstorm[$i+2]) {
								echo '<div id="arrowlink" align="center"><a href="#" onclick="showDiv(\'extendedstorm\'); showDiv(\'arrowlink\'); return false;"><img src =\''.$l2kimageloc.'arrow.gif\' alt="expansion arrow" border="none" style="display: Block"/></a></div>';
							}else{
							echo '<br/>';
							}
							if ($i <= 3){
								echo '</div>';
							} 
			  		  	  	  //End the div and the data.
						$i++;//Incrument the counter so other storms can be printed.
						}//End the else statement
					}//End the string length if
					else{//If the string length is not less than 0
						if ($indivstorm[$i]){
							if ($alreadyprinted){
							echo '<div align="center"><a href="#" onclick="showDiv(\'extendedstorm\'); showDiv(\'arrowlink\'); return false;"><img src =\''.$l2kimageloc.'arrowup.gif\' alt="Hide extra storms" border="none"/></a></div>
							</div>';
							}
						}
						$i++;//Incrument the counter so we wont go in a infinite loop
						//Remember since the string length is less 1 we are not going to do any printing as that would be pointless.
					}//End the else statement
				}//End the while loop.
				echo '</div>
			  		  </td>
			  		  </tr>';

				}
				}//End the big if to see if the file exists or not
				else { //If the nowcast.txt file doesnt exisit we will print out a message to say there is a problem.
				echo '<tr align="center">
          				<td class="data1" colspan="4" style="text-align: center"><br/>
		  				<span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF; background-color: #BA040D;">
		  				&nbsp;&nbsp;&nbsp;<b>Woops I think we have a problem here!</b>&nbsp;&nbsp;&nbsp;</span><br/><br/>
		  				<span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF; background-color: #BA040D;">
		  				&nbsp;&nbsp;&nbsp;<b>The location to the Nowcast.txt you specified in the settings file is incorrect.</b>
		  				&nbsp;&nbsp;&nbsp;</span><br/><br/>
		  				<span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF; background-color: #BA040D;">
		  				&nbsp;&nbsp;&nbsp;<b>Verify the Nowcast.txt Location and refresh the page again.</b>
		  				&nbsp;&nbsp;&nbsp;</span><br/><br/>
		  				</td>
       				 </tr>';
       			}//end the printing of the error.
			}// end the storm printing.
	    if ($ld250) { //If the LD250 has been set to true start printing information that
	    			  //relates to the LD250
	    echo '
	    <tr align="center">
          <td class="datahead" colspan="3">
          Rates</td>
        </tr>
        <tr align="center">
     	 <td valign="middle"><table width="200" border="0" cellpadding="2" cellspacing="0">
     	 	<tr>
                <td class="data2">Flash Rate:</td>
                <td style="text-align: right;" class="data2">
				  <span class="ajax2" id="ajaxflashrate">
                  '.$lightningdata[81].'/min</span>
				</td>
              </tr>
              </table>
          </td>
          <td valign="middle"><table width="200" border="0" cellpadding="2" cellspacing="0">
     	 	<tr>
                <td class="data2">Stroke Rate:</td>
                <td style="text-align: right;" class="data2">
				  <span class="ajax2" id="ajaxstrokerate">
                  '.$lightningdata[82].'/min</span>
				</td>
              </tr>
              </table>
          </td>
          <td valign="middle"><table width="200" border="0" cellpadding="2" cellspacing="0">
     	 	<tr>
                <td class="data2">Noise Rate:</td>
                <td style="text-align: right;" class="data2">
				  <span class="ajax2" id="ajaxnoiseflashes">
                  '.$lightningdata[83].'/min</span>
				</td>
              </tr>
              </table>
          </td>
        </tr>
        <tr align="center">
          <td class="datahead" colspan="3">Current Information within 60 min</td>
        </tr>
        <tr align="center">
     	 <td valign="middle"><table width="200" border="0" cellpadding="2" cellspacing="0">
     	 	<tr>
                <td class="data1">Total Flashes:</td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxtotalflashes">
                  '. $lightningdata[0].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1">Total Strokes:</td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxtotalstrokes">
                    '.$lightningdata[5].'</span>
				</td>
                </tr> 
              <tr>
                <td class="data1">Strong Flashes: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxstrongflashes">
                    '.$lightningdata[10].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1" nowrap="nowrap">Ratio of Strokes per Flash:</td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxratiostrokesperflash">
                    '.$lightningdata[14].'</span>
				</td>
              </tr>
	          </table>
		  </td>
		   <td valign="middle"><table width="200" border="0" cellpadding="2" cellspacing="0">
		        <tr>
                <td class="data1">No of Red Alerts: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxnoredalerts">
                  '.$lightningdata[13].'</span>
				</td>
              </tr>
		   		<tr>
                <td class="data1">No of Yellow Alerts: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxnoyelalerts">
                  '.$lightningdata[12].'</span>
				</td>
              </tr>
		   		<tr>
                <td class="data1">Stroke Trend:</td>
                <td style="text-align: right;" class="data1">
                	<span class="ajax2" id="ajaxtrendstrokerate">
                  	'.$lightningdata[26].'%</span>
				</td>
				</tr>
				<tr>
                <td class="data1">Detection Trend:</td>
                <td style="text-align: right;" class="data1">
                	<span class="ajax2" id="ajaxdetectionrate">
                  	'.$lightningdata[27].'%</span>
				</td>
				</tr>
				</table>
		  </td>
		            
          <td valign="middle"><table width="200" border="0" cellpadding="2" cellspacing="0">
          		
        		<tr>
                <td class="data1">Current Storms: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxstormcount">
                  '.$lightningdata[11].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1">Flash Trend:</td>
                <td style="text-align: right;" class="data1">
                	<span class="ajax2" id="ajaxtrendflashrate">
                  	'.$lightningdata[25].'%</span>
				</td>
              </tr>
			  <tr>
                <td class="data2">&nbsp;</td>
                <td style="text-align: right;" class="data2">
				&nbsp;</td>
              </tr>
              <tr>
                <td class="data2">&nbsp;</td>
                <td style="text-align: right;" class="data2">
				&nbsp;</td>
              </tr>
	         </table>
		  </td>
        </tr>
      <tr align="center">
          <td class="datahead" colspan="2" style="text-align: center">
		 Daily Records / 1 min</td>
		  <td class="datahead" style="text-align: center">
		  Daily Records</td>
        </tr>
        <tr align="center" valign="middle">
          <td valign="middle">
          <table width="200" border="0" cellpadding="2" cellspacing="0">
               <tr>
              	<td class="data1">Peak Noise Count:</td>
                <td style="text-align: right;" class="data1">
                '.$lightningdata[64].' on '.$lightningdata[65].'
				</td>
              </tr>
              <tr>
                <td class="data1">Peak Stroke Count:</td>
                <td style="text-align: right;" class="data1"> 
				'.$lightningdata[66].' on '.$lightningdata[67].'</td>
              </tr>
            </table>
		  </td>
          <td align="center" valign="middle">
		    <table width="200" border="0" cellpadding="2" cellspacing="0">
              <tr>
              	<td class="data1">Peak Flash Count:</td>
                <td style="text-align: right;" class="data1">
                '.$lightningdata[68].' on '.$lightningdata[69].'
				</td>
              </tr>
              <tr>
                <td class="data1">Peak Strong Flash Count:</td>
                <td style="text-align: right;" class="data1"> 
				'.$lightningdata[70].' on '.$lightningdata[71].'</td>
              </tr>
              </table>
		  </td>
		  <td align="center" valign="middle">
		    <table width="200" border="0" cellpadding="2" cellspacing="0">
		    <tr>
                <td class="data1">All Flashes:</td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxrecallflashes">
                    '.$lightningdata[15].'</span>
                  </td>
              </tr>
              <tr>
                <td class="data1">All Strokes: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxrecallstrokes">
                  '.$lightningdata[16].'</span>
                  </td>
                </tr>
                <tr>
                <td class="data2">&nbsp;</td>
                <td style="text-align: right;" class="data2">
				&nbsp;</td>
              </tr>
              <tr>
                <td class="data2">&nbsp;</td>
                <td style="text-align: right;" class="data2">
				&nbsp;</td>
              </tr>
            </table>
		  </td>
        </tr>
        <tr align="center">
          <td class="datahead" colspan="3" style="text-align: center">
		  All time Records</td>
        </tr>
        <tr align="center">
              	<td class="data1">Record Flash Count:</td>
                <td style="text-align: right;" class="data1" colspan="2">
                '.$lightningdata[72].'/min @ '.$lightningdata[73].' on '.$lightningdata[74].'
				</td>
        </tr>
        <tr align="center">
              	<td class="data1">Record Noise Count:</td>
                <td style="text-align: right;" class="data1" colspan="2">
                '.$lightningdata[75].'/min @ '.$lightningdata[76].' on '.$lightningdata[77].'
				</td>
        </tr>
        <tr align="center">
            <td class="data1">Record Stroke Count:</td>
            <td style="text-align: right;" class="data1" colspan="2">
            '.$lightningdata[78].'/min @ '.$lightningdata[79].' on '.$lightningdata[80].'
			</td>
		</tr>';
        }
        else { //Otherwise it has to be Storm tracker PCI that is in use
        	   // Start printing information thatr relates to the PCI Storm tracker below:
        echo '
        <tr align="center">
          <td class="datahead" colspan="3">
          Rates</td>
        </tr>
        <tr align="center">
     	 <td valign="middle"><table width="200" border="0" cellpadding="2" cellspacing="0">
     	 	<tr>
                <td class="data2">Flash Rate:</td>
                <td style="text-align: right;" class="data2">
				  <span class="ajax2" id="ajaxflashrate">
                  '.$lightningdata[81].'/min</span>
				</td>
              </tr>
              </table>
          </td>
          <td valign="middle"><table width="200" border="0" cellpadding="2" cellspacing="0">
     	 	<tr>
                <td class="data2">Stroke Rate:</td>
                <td style="text-align: right;" class="data2">
				  <span class="ajax2" id="ajaxstrokerate">
                  '.$lightningdata[82].'/min</span>
				</td>
              </tr>
              </table>
          </td>
          <td valign="middle"><table width="200" border="0" cellpadding="2" cellspacing="0">
     	 	<tr>
                <td class="data2">Noise Rate:</td>
                <td style="text-align: right;" class="data2">
				  <span class="ajax2" id="ajaxnoiserate">
                  '. $lightningdata[83].'/min</span>
				</td>
              </tr>
              </table>
          </td>
        </tr>
        <tr align="center">
          <td class="datahead">Flashes in last 60 min</td>
          <td class="datahead">Strokes in last 60 min</td>
	      <td class="datahead">Current Information</td>
        </tr>
        <tr align="center">
     	 <td valign="middle"><table width="200" border="0" cellpadding="2" cellspacing="0">
                  <tr>
                <td class="data1">Total Flashes:</td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxtotalflashes">
                  '. $lightningdata[0].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1">+CG Flashes:</td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxposcgflashes">
                  '.$lightningdata[1].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1" nowrap="nowrap">-CG Flashes: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxnegcgflashes">
                  '.$lightningdata[2].'</span>
				</td>
              </tr>
			                 <tr>
                <td class="data1" nowrap="nowrap">+IC Flashes: </td>
                <td style="text-align: right;" class="data1">
                <span class="ajax2" id="ajaxposicflashes">
                  '.$lightningdata[3].'</span>
                  </td>
              </tr>
			               <tr>
                <td class="data1">-IC Flashes: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxnegicflashes">
                  '.$lightningdata[4].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1">Strong Flashes: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxstrongflashes">
                    '.$lightningdata[10].'</span>
				</td>
              </tr>
	             </table>
		  </td>
		   <td valign="middle"><table width="200" border="0" cellpadding="2" cellspacing="0">
                  <tr>
                <td class="data1">Total Strokes:</td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxtotalstrokes">
                    '.$lightningdata[5].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1">+CG Strokes:</td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxposcgstrokes">
                  '.$lightningdata[6].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1" nowrap="nowrap">-CG Strokes: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxnegcgstrokes">
                  '.$lightningdata[7].'</span>
				</td>
              </tr>
			    <tr>
                <td class="data1" nowrap="nowrap">+IC Strokes: </td>
                <td style="text-align: right;" class="data1">
                <span class="ajax2" id="ajaxposicstrokes">
                  '.$lightningdata[8].'</span>
                  </td>
              </tr>
			  <tr>
                <td class="data1">-IC Strokes: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxnegicstrokes">
                  '.$lightningdata[9].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1" nowrap="nowrap">Ratio of Strokes per Flash:</td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxratiostrokesperflash">
                    '.$lightningdata[14].'</span>
				</td>
              </tr>
	             </table>
		  </td>
		            
          <td valign="middle"><table width="200" border="0" cellpadding="2" cellspacing="0">
              <tr>
                <td class="data1">Current Storms: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxstormcount">
                  '.$lightningdata[11].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1">Num of Red Alerts: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxnoredalerts">
                  '.$lightningdata[13].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1">Num of Yellow Alerts: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxnoyelalerts">
                  '.$lightningdata[12].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1">Flash Trend:</td>
                <td style="text-align: right;" class="data1">
                	<span class="ajax2" id="ajaxtrendflashrate">
                  	'.$lightningdata[25].'%</span>
				</td>
              </tr>
              <tr>
                <td class="data1">Stroke Trend:</td>
                <td style="text-align: right;" class="data1">
                	<span class="ajax2" id="ajaxtrendstrokerate">
                  	'.$lightningdata[26].'%</span>
				</td>
				</tr>
				<tr>
                <td class="data1">Detection Trend:</td>
                <td style="text-align: right;" class="data1">
                	<span class="ajax2" id="ajaxdetectionrate">
                  	'.$lightningdata[27].'%</span>
				</td>
				</tr>
	         </table>
		  </td>
        </tr>
        <tr align="center">
          <td class="datahead" colspan="3" style="text-align: center">
		  Daily Records</td>
        </tr>
        <tr align="center" valign="middle">
          <td valign="middle">
          <table width="200" border="0" cellpadding="2" cellspacing="0">
              <tr>
                <td class="data1">All Flashes:</td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxrecallflashes">
                    '.$lightningdata[15].'</span>
                  </td>
              </tr>
              <tr>
                <td class="data1">All Strokes: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxrecallstrokes">
                  '.$lightningdata[16].'</span>
                  </td>
              </tr>
              <tr>
                <td class="data1">+ve CG Flashes: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxrecposcgflashes">
                    '.$lightningdata[17].'</span>
				 </td>
              </tr>
              <tr>
                <td class="data1">-ve CG Flashes: </td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxrecnegcgflashes">
                  '.$lightningdata[18].'</span>
				</td>
              </tr>
            </table>
		  </td>
          <td align="center" valign="middle">
		    <table width="200" border="0" cellpadding="2" cellspacing="0">
              <tr>
                <td class="data1">+ve IC Flashes:</td>
                <td style="text-align: right;" class="data1">
                	<span class="ajax2" id="ajaxrecposicflashes">
                  	'.$lightningdata[19].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1">-ve IC Flashes:</td>
                <td style="text-align: right;" class="data1">
                	<span class="ajax2" id="ajaxrecnegicflashes">
                  	'.$lightningdata[20].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1">+ve CG Strokes:</td>
                <td style="text-align: right;" class="data1">
                	<span class="ajax2" id="ajaxrecposcgstrokes">
                  	'.$lightningdata[21].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1">-ve CG Strokes:</td>
                <td style="text-align: right;" class="data1">
                	<span class="ajax2" id="ajaxrecnegcgstrokes">
                  	'.$lightningdata[22].'</span>
				</td>
              </tr>
            </table>
		  </td>
		  <td align="center" valign="middle">
		    <table width="200" border="0" cellpadding="2" cellspacing="0">
              <tr>
              	<td class="data1">+ve IC Strokes:</td>
                <td style="text-align: right;" class="data1">
                	<span class="ajax2" id="ajaxrecposicstrokes">
                  	'.$lightningdata[23].'</span>
				</td>
              </tr>
              <tr>
                <td class="data1">-ve IC Strokes:</td>
                <td style="text-align: right;" class="data1">
				  <span class="ajax2" id="ajaxrecnegicstrokes">
                    '.$lightningdata[24].'</span>
				 </td>
              </tr>
              <tr>
                <td class="data2">&nbsp;</td>
                <td style="text-align: right;" class="data2">&nbsp;</td>
              </tr>
              <tr>
                <td class="data2">&nbsp;</td>
                <td style="text-align: right;" class="data2">&nbsp;</td>
              </tr>
            </table>
		  </td>
        </tr>
        <tr align="center">
          <td class="datahead" colspan="3" style="text-align: center">
		  Daily Record Rates</td>
        </tr>
        <tr align="center">
              	<td class="data1">Peak Flash Rate:</td>
                <td style="text-align: right;" class="data1" colspan="2">
                '.$lightningdata[68].'/min @ '.$lightningdata[69].'
				</td>
        </tr>
        <tr align="center">
              	<td class="data1">Peak Strong Flash Rate:</td>
                <td style="text-align: right;" class="data1" colspan="2">
                '.$lightningdata[70].'/min @ '.$lightningdata[71].'
				</td>
        </tr>
        <tr align="center">
            <td class="data1">Peak Stroke Rate:</td>
            <td style="text-align: right;" class="data1" colspan="2">
            '.$lightningdata[66].'/min @ '.$lightningdata[67].'
			</td>
		</tr>
		<tr align="center">
            <td class="data1">Peak Noise Rate:</td>
            <td style="text-align: right;" class="data1" colspan="2">
            '.$lightningdata[64].'/min @ '.$lightningdata[65].'
			</td>
		</tr>
        <tr align="center">
          <td class="datahead" colspan="3" style="text-align: center">
		  All Time Records</td>
        </tr>
        <tr align="center">
              	<td class="data1">Record Flash Count:</td>
                <td style="text-align: right;" class="data1" colspan="2">
                '.$lightningdata[72].'/min @ '.$lightningdata[73].' on '.$lightningdata[74].'
				</td>
        </tr>
        <tr align="center">
              	<td class="data1">Record Noise Count:</td>
                <td style="text-align: right;" class="data1" colspan="2">
                '.$lightningdata[75].'/min @ '.$lightningdata[76].' on '.$lightningdata[77].'
				</td>
        </tr>
        <tr align="center">
            <td class="data1">Record Stroke Count:</td>
            <td style="text-align: right;" class="data1" colspan="2">
            '.$lightningdata[78].'/min @ '.$lightningdata[79].' on '.$lightningdata[80].'
			</td>
		</tr>';
        }
        if ($plotgraph){ //If Graph plotting has been enabled do below:
        echo'
        <tr align="center">
          <td class="datahead" colspan="3" style="text-align: center">
		  Graph:</td>
       </tr>
	   <tr align="center">
          <td class="data1" colspan="3" style="text-align: center">
       	  <div id="container" style="width: 640px; height: 250px; margin: 0 auto"></div>
       	  </td>
       </tr>';
       }
       if ($showlightningforecast){//If the U.S Lightning forecast has been set to true do below:
			if (extension_loaded('gd') && function_exists('gd_info')) {//Check if the webserver you have has PHP GD enabled.
       			echo '<tr align="center">
          		<td class="datahead" colspan="3" style="text-align: center">
		  		U.S Lightning Forecast:</td>';
	   			if (file_exists($lighscriptloc)) {//If the script has been found do below: 
	   			echo'
       			</tr>
	   			<tr align="center">
          			<td class="data2" colspan="3" style="text-align: center">
       	  			<img src ="'.$lighscriptloc.'" alt="Lightning Forecast" style=" -webkit-border-radius: 5px; -webkit-box-shadow:4px 4px 5px #000;"/>
       	  			</td>
       			</tr>
       			<tr align="center">
       			<td colspan="3" style="text-align: center">
       			<a href="'.$lightimageorgloc.'"><div style="font-size:8px">Lightning forecast map courtesy of the NWS</div></a>
       			</td>
       			</tr>';
       			}
       			else { //Otherwise spit out an error:
       			echo'</tr>
	   			<tr align="center">
	   			<td class="data2" colspan="3" style="text-align: center"><br/>
	   			<span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF; background-color: #BA040D;">&nbsp;&nbsp;&nbsp;<b>Darn! We have a problem!</b>&nbsp;&nbsp;&nbsp;</span><br/><br/><span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF; background-color: #BA040D;">&nbsp;&nbsp;&nbsp;<b>The location to the Lightning Forecast Image you specified in the settings file is incorrect.</b>&nbsp;&nbsp;&nbsp;</span><br/><br/>
	   			</td>
	   			</tr>';
       			}
       		}else{// if php GD is disbaled or not running then we will print out an error.
       		echo'<tr align="center">
          			<td class="data2" colspan="3" style="text-align: center">
       	  			NOTICE: PHP Graphical Functions are not available on this server.<br/>
       	  			Contact your Hosting Company to get it enabled or simply turn off<br/>
       	  			the U.S Lightning Forecast.
       	  			</td>
       			</tr>';
       		}
       	
       }
       ?>
      <tr align="center">
      	<td class="data2" colspan="3" style="text-align: left">
      		<table width="640" border="0" cellpadding="2" cellspacing="0">
      		<tr align="center">
	  		<td class="data1" style="text-align: center" colspan="3">
	  		<div style="font-size:8px">Disclaimer: Do NOT ever base important decisions on this data</div>
	  		</td>
	  		</tr>
      		<tr align="center">
      		<td class="data2" style="text-align: left">
	   		<div style="font-size:8px">L2K Display script courtesy of <a href="http://wx-matangi.dyndns.org">Matangi Weather</a></div></td>
	   		<td class="data2" style="text-align: right"><div style="font-size:8px">Charts by <a href="http://www.highcharts.com/">Highcharts</a></div></td>
	   		<td class="data2" style="text-align: right">
	   		<div style="font-size:8px">v1.41</div></td>
	   		</tr>
	   		</table>
	   	</td>
	  </tr>
      </table>
 </div>
 <!-- end of ajax-dashboard.php -->
</div>
<br />
</div><!-- end column-dark -->

</div><!-- end main-copy -->
<?php
if ($standalone){
echo '
</body>
</html>';
############################################################################
}else{
include("footer.php");
}
############################################################################
# End of Page
############################################################################
?>